Subject: bug#27779: 26.0.50: read -- Re-entering top level after C stack overflow

From: Keith David Bershatsky <[email-masked]>
Date: Thu, 21 Apr 2022 11:56:35 -0700

As to the most recent versions of Emacs 28 and the Master Branch, built on El Capitan, the issue is not present when using the test case:

(require 'cl-lib)

(defun make-deep-object (depth)
    (let ((obj 1))
      (while (> (cl-decf depth) 0)
        (setq obj (vector (list obj))))
      obj))

(let* ((print-circle t)
       (max-lisp-eval-depth most-positive-fixnum)
       (max-specpdl-size most-positive-fixnum)
       (deep-object (make-deep-object 4600))
       (string (prin1-to-string deep-object))
       (result (read string)))
  (when result
    (message "Success!")))

I do not have any computers running a higher version of the MacOS operating system.

Keith

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

> Date: [04-21-2022 06:33:29] <21 Apr 2022 15:33:29 +0200>
> From: Lars Ingebrigtsen <[email-masked]>
> To: Keith David Bershatsky <[email-masked]>
> Cc: Paul Eggert <[email-masked]>, [email-masked], [email-masked], [email-masked]
> Subject: Re: bug#27779: 26.0.50:  read -- Re-entering top level after C stack overflow
> 
> Keith David Bershatsky <[email-masked]> writes:
> 
> > TEST:  Lanched without the terminal by opening Emacs.app.
> >
> > RESULT:  Re-entering top level after C stack overflow
> 
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)
> 
> I've tried reproducing this issue, but with the test cases in the final
> message here, I get "Success" in the current Emacs.
> 
> Are you still seeing this issue in recent Emacs versions?